Bug 1400481 - lensfun: Strange SSE build settings on i686
Summary: lensfun: Strange SSE build settings on i686
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lensfun
Version: rawhide
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-01 10:45 UTC by Kevin Kofler
Modified: 2016-12-25 03:21 UTC (History)
4 users (show)

Fixed In Version: lensfun-0.3.2-5.fc25 lensfun-0.3.2-5.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-25 01:49:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Kofler 2016-12-01 10:45:44 UTC
Description of problem:
On i686, lensfun builds with:
%global sse  -DBUILD_FOR_SSE:BOOL=ON
%global sse2 -DBUILD_FOR_SSE2:BOOL=OFF

This does not make sense. Neither SSE (1) nor SSE2 are allowed to be required, so either there is working runtime detection, in which case both SSE and SSE2 should be ON, or there is not, in which case they should both be OFF.

As far as I can tell, there is runtime detection code, so both options should be set to ON on i686.

Version-Release number of selected component (if applicable):
lensfun-0.3.2-2.fc26

Comment 1 Rex Dieter 2016-12-01 11:44:45 UTC
I thought only sse2 was not allowed, sorry (I'm the one responsible for the packaging implementation here).

I can't where this is documented, but I'll take your word for it and change the i686 case accordingly.

Comment 2 Kevin Kofler 2016-12-01 12:04:10 UTC
You should just enable both SSE and SSE2 on i686, I looked at the lensfun code and it checks at runtime whether they are available.

Comment 3 Rex Dieter 2016-12-01 14:15:13 UTC
%changelog
* Thu Dec 01 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.3.2-4
- support BUILD_FOR_SSE/SSE2 on %%ix86/x86_64 (#1400481)
- enable/fix python bindings
- pull in upstream fixes (tests, buildsys)

Comment 4 Fedora Update System 2016-12-15 15:29:51 UTC
lensfun-0.3.2-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-065c18c366

Comment 5 Fedora Update System 2016-12-15 15:30:04 UTC
lensfun-0.3.2-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4180dcd1a7

Comment 6 Fedora Update System 2016-12-16 05:31:48 UTC
lensfun-0.3.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4180dcd1a7

Comment 7 Fedora Update System 2016-12-16 05:33:29 UTC
lensfun-0.3.2-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-065c18c366

Comment 8 Fedora Update System 2016-12-16 14:37:26 UTC
lensfun-0.3.2-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-297b9c6bb6

Comment 9 Fedora Update System 2016-12-17 01:35:53 UTC
lensfun-0.3.2-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-297b9c6bb6

Comment 10 Fedora Update System 2016-12-25 01:49:57 UTC
lensfun-0.3.2-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-12-25 03:21:28 UTC
lensfun-0.3.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.